Filter clients

Use this endpoint to get a list of clients that you've created. You can filter for specific clients using parameters like email address and first name. If you don't use any filters all clients will be returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int32

Filters clients by the ID of their assigned agent.

int32

Filters clients by their unique ID.

string

Filters clients by email address.

string

Filters clients by first name.

string

One or more keywords may be specified to filter the results by. Useful for searching clients. If specified all other params are ignored.

string

Filters clients by last name.

int32

Filters clients by phone number.

boolean

If false, returns only disabled clients. If true, returns only active clients.

string
Defaults to EXACT

Determines the search condition applied to the filters. If EXACT, requires that the given value for one or more params is an exact match of the stored value. If CONTAINS, requires that the given value for one or more params is contained within the stored value.

Allowed values:

EXACT, CONTAINS

string
Defaults to OR

Determines the search logic applied to the filters. If OR, requires that one or more params contain/equal the given value. If AND, requires that all params contain/equal the given value.

Allowed values:

OR, AND

int32
Defaults to 1

The page number to return. For example, with 100 results per page, specifying pageNum=2 returns results 101–200.

int32
Defaults to 100

The number of clients to return per page.

string

One or more comma separated strings that can be used to filter clients. For example GET /clients?tags=buyer,toronto. The response contains clients that have any of the tags specified.

boolean
Defaults to true

Enables automatic retrieval of Saved Searches for each client in the response. For best performance it's recommended to disable this setting if Saved Searches are not required.

string

Filter clients by their identifier from an external system (such as a CRM).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json